import { stemTypeList, scoreTypeList, questionNumberTypeList, switchOption, fontSizeList } from './common';
import { getExerciseTypeList } from './questionType';

// 题型类型选项
export const questionTypeOption = [
  { label: '选择题', value: 'select' },
  { label: '判断题', value: 'judge' },
  { label: '填空题', value: 'fill' },
  { label: '连线题', value: 'matching' },
  { label: '问答题', value: 'essay_question' },
];

// 题型类型列表
export const exerciseTypeList = getExerciseTypeList(questionTypeOption);

/**
 * 解析智能识别数据
 * @param {array} arr 智能识别数据
 * @returns object
 */
export function analysisRecognitionReadData(arr) {
  if (arr.length < 0) return;
  let reg = /^文章[:：]/;
  let article = reg.test(arr[0]) ? arr[0].replace(reg, '') : '';
  return { 'data.article': article };
}

// 阅读题数据模板
export const readData = {
  type: 'read', // 题型
  stem: '', // 题干
  description: '', // 描述
  article: '', // 文章
  answer: { score: 1, score_type: scoreTypeList[0].value }, // 答案
  question_list: [], // 题目列表
  file_id_list: [], // 文件 id 列表
  // 题型属性
  property: {
    stem_type: stemTypeList[1].value, // 题干类型
    question_number: '1', // 题号
    stem_question_number_font_size: fontSizeList[6], // 题干题号
    is_enable_description: switchOption[1].value, // 描述
    is_enable_manual_modify: switchOption[1].value, // 手动修改
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[1].value, // 题号类型
  },
};
